cpw.mods.fml.common.registry

## Class ItemData

- java.lang.Object
- - cpw.mods.fml.common.registry.ItemData

-     public class ItemData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemData(Item item, ModContainer mc)`
    `ItemData(NBTTagCompound tag)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `getItemId()`
    `String` | `getItemType()`
    `String` | `getModId()`
    `int` | `getOrdinal()`
    `int` | `hashCode()`
    `boolean` | `isOveridden()`
    `boolean` | `mayDifferByOrdinal(ItemData rightValue)`
    `void` | `setName(String name, String modId)`
    `NBTTagCompound` | `toNBT()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemData

          public ItemData(Item item,
                  ModContainer mc)

    - #### ItemData

          public ItemData(NBTTagCompound tag)

  - ### Method Detail

    - #### getItemType

          public String getItemType()

    - #### getModId

          public String getModId()

    - #### getOrdinal

          public int getOrdinal()

    - #### getItemId

          public int getItemId()

    - #### toNBT

          public NBTTagCompound toNBT()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### mayDifferByOrdinal

          public boolean mayDifferByOrdinal(ItemData rightValue)

    - #### isOveridden

          public boolean isOveridden()

    - #### setName

          public void setName(String name,
                     String modId)